<Input::ContainerGroup
  @isMainValue={{true}}
  @onSave={{this.save}}
  @onCancel={{this.cancel}}
  @onEdit={{@onEdit}}
  @title={{@title}}
  @editablePanel={{@editablePanel}}
  @savingPanel={{@savingPanel}}
  as |editMode|
>
  {{#if editMode}}
    <Input::ListWithAdd {{did-insert this.createPairs}} class="mt-3" @plusLabel={{t "item"}} @value={{this.pairs}} @factoryValue={{this.factoryValue}} @onChange={{this.change}} as |value change|>
      <Input::LinkPair class="redirect-item" @onChange={{change}} @value={{value}} @space={{@space}}/>
    </Input::ListWithAdd>
  {{else}}
    <div class="mt-3">
      {{#each-in this.value as |source destination|}}
        <div class="mb-2 redirect-item">
          {{t 'from'}} <b>{{source}}</b> {{t "to"}}
          <b>{{destination.niceString}}</b>
        </div>
      {{/each-in}}
    </div>
  {{/if}}
</Input::ContainerGroup>